<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	#slider{
		height:127px;
		width: 300px;
		overflow: hidden;
		display: flex;
		flex-direction: column;	
		flex-wrap: wrap;
	}
	.slide{
		border:1px solid black;
		height:100%;
		width: 300px;
		box-sizing: border-box;
	}

	#indicators{
		display: flex;
		justify-content: center;
	}
	.indicator{
		margin:10px;
		height:10px;
		width: 10px;
		border:1px solid black;
		border-radius: 50%;
	}
	.active-indicator{
		background:black;
	}
</style>
<body>
<div id="slider">
	<div class="slide">this is slide 1</div>
	<div class="slide">this is slide 2 </div>
	<div class="slide">this is slide 3</div>
	<div class="slide">this is slide 4</div>
	<div class="slide">this is slide 5</div>
</div>
<div id="indicators"></div>
<button onclick="changeSlide('next')">Next</button>
<button onclick="changeSlide('prev')">Prev</button>
</body>
<script type="text/javascript">
	let index=0;
	let slides= document.querySelectorAll('.slide');
 	for(let i=0;i<slides.length;i++){
 		document.querySelector('#indicators').innerHTML+= `<div class="indicator"></div>`
 	}
	function changeSlide(changeSlide){
	index=changeSlide=='next'? index+1: index-1;
	if(index<0){
		index=0
	}

	if(index>=slides.length){
		index=slides.length-1;
	}
	setTimeout(function (){
     slides.forEach(function (slide, i){
        if (i === index) {
        slide.scrollIntoView({behavior: 'smooth'});
    }
	})
 });
 }
</script>
</html>